<script setup lang="ts">
  import { emitsKey, propsKey } from './model';

  const props = inject(propsKey);
  const emits = inject(emitsKey);
</script>
<template>
  <div
    :class="[
      'flex items-center gap-3 lg:gap-4',
      { 'animate-pulse': props?.navigationController?.loading },
    ]"
  >
    <template v-if="props?.navigationController?.loading">
      <div class="md:(h-12 w-12) h-11 w-11 rounded-full bg-gray-100" />
      <div class="md:(h-12 w-12) h-11 w-11 rounded-full bg-gray-100" />
      <div class="h-2 w-10 bg-gray-100" />
      <div class="md:(h-12 w-12) h-11 w-11 rounded-full bg-gray-100" />
    </template>
    <template v-else>
      <!-- this button will be hidden in mobile -->
      <SlideMenuButton class="hidden sm:block" />

      <SwTooltip :content="$t('back')" position="topCenter" width="max-width">
        <SwButton
          fab
          variant="action"
          :disabled="props?.navigationController?.prevBtn?.disabled"
          @click="emits?.onChange('navigateToPrevSlide')"
        >
          <template #icon>
            <span class="i-sw-solid:chevron-circle-left" />
          </template>
        </SwButton>
      </SwTooltip>

      <div class="flex flex-col items-center">
        <p class="text-(xs information-subdued) hidden lg:block">
          {{ $t('page') }}
        </p>
        <p class="font-700 text-sm">
          {{ props?.navigationController?.currentSlideIndex }} {{ $t('of') }}
          {{ props?.navigationController?.slidesCount }}
        </p>
      </div>

      <SwTooltip :content="$t('forward')" position="topCenter" width="max-width">
        <SwButton
          fab
          variant="action"
          :disabled="props?.navigationController?.nextBtn?.disabled"
          @click="emits?.onChange('navigateToNextSlide')"
        >
          <template #icon>
            <span class="i-sw-solid:chevron-circle-right" />
          </template>
        </SwButton>
      </SwTooltip>
    </template>
  </div>
</template>
